/**
 * Get device information.
 * - Effective connection type: https://developer.mozilla.org/en-US/docs/Web/API/NetworkInformation
 * - Device memory in GB rounded to 2: https://developer.mozilla.org/en-US/docs/Web/API/Navigator/deviceMemory
 *
 * @return {{ url?: string, userAgent?: string, memory?: number, connectionType?: EffectiveConnectionType, cpus?: number }}
 */
export function getDeviceInfo(): {
    url?: string | undefined;
    userAgent?: string | undefined;
    memory?: number | undefined;
    connectionType?: "slow-2g" | "2g" | "3g" | "4g" | undefined;
    cpus?: number | undefined;
};
export type EffectiveConnectionType = "slow-2g" | "2g" | "3g" | "4g";
export type NetworkInformation = {
    effectiveType: "slow-2g" | "2g" | "3g" | "4g";
};
