/**
 * get metric by type using buffered values.
 *
 * @param {MetricType} type
 * @return {Promise<Object | null>}
 */
export function getMetricByType(type: "load" | "fcp" | "lcp" | "fid" | "cls" | "ttfb" | "dcl"): Promise<any>;
/**
 * Observe `type`, if the value is already observed, return it.
 *
 * @param {Array<MetricOpts | MetricType>} metricsOpts
 * @param {MetricObserverCallback} callback
 */
export function collectMetrics(metricsOpts: ("load" | "fcp" | "lcp" | "fid" | "cls" | "ttfb" | "dcl" | {
    type: "load" | "fcp" | "lcp" | "fid" | "cls" | "ttfb" | "dcl";
    maxTimeout?: number | undefined;
    get?: Function | undefined;
})[], callback: (metric: any) => any): void;
export type MetricType = "load" | "fcp" | "lcp" | "fid" | "cls" | "ttfb" | "dcl";
export type MetricOpts = {
    type: "load" | "fcp" | "lcp" | "fid" | "cls" | "ttfb" | "dcl";
    maxTimeout?: number | undefined;
    get?: Function | undefined;
};
export type MetricObserverCallback = (metric: any) => any;
export type PerformanceEventTiming = PerformanceEntry & {
    processingStart: number;
    processingEnd: number;
    cancelable: boolean;
};
export type LargestContentfulPaint = PerformanceEntry & {
    renderTime: number;
    loadTime: number;
    size: number;
    element?: Element | undefined;
};
export type LayoutShift = PerformanceEntry & {
    value: number;
    hadRecentInput: boolean;
    lastInputTime: number;
};
export type PerformanceNavTiming = PerformanceNavigationTiming & {
    serverTiming?: any[] | undefined;
};
