/**
 * Create performance observer.
 *
 * @param {EntryOpts} opts
 * @param {EntriesCallback} callback
 * @return {PerformanceObserver}
 */
export function observeEntries(opts: {
    type: "navigation" | "mark" | "measure" | "element" | "first-input" | "largest-contentful-paint" | "layout-shift" | "longtask" | "paint" | "resource";
    buffered?: boolean | undefined;
}, callback: (entries: any[], observer: PerformanceObserver) => any): PerformanceObserver;
/**
 * Get buffered entries by `type`.
 *
 * @param {EntryType} entryType
 * @return {Promise<Object[]>}
 */
export function getEntriesByType(entryType: "navigation" | "mark" | "measure" | "element" | "first-input" | "largest-contentful-paint" | "layout-shift" | "longtask" | "paint" | "resource"): Promise<any[]>;
export type EntriesCallback = (entries: any[], observer: PerformanceObserver) => any;
export type EntryCallback = (entry: PerformanceEntry) => any;
export type EntryType = "navigation" | "mark" | "measure" | "element" | "first-input" | "largest-contentful-paint" | "layout-shift" | "longtask" | "paint" | "resource";
export type EntryOpts = {
    type: "navigation" | "mark" | "measure" | "element" | "first-input" | "largest-contentful-paint" | "layout-shift" | "longtask" | "paint" | "resource";
    buffered?: boolean | undefined;
};
