"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/** @param {number} val @param {number} [precision] @return {number} */
function round(val, precision = 0) {
    // hack from: https://stackoverflow.com/a/18358056
    // @ts-ignore
    return +(Math.round(`${val}e+${precision}`) + `e-${precision}`);
}
exports.round = round;
/** @param {string} str @param {any} args */
function debug(str, ...args) {
    if (debug.enable)
        console.log(`%cuxm: ${str}`, 'color: #3398DB', ...args);
}
exports.debug = debug;
/** @type {boolean} */
debug.enable = false; // disable debug by default
/** @param {any} args */
exports.warn = (...args) => console.warn(...args);
// constants
exports.perf = typeof performance === 'undefined' ? null : performance;
exports.raf = typeof requestAnimationFrame === 'undefined' ? setTimeout : requestAnimationFrame;
/** @type {[Function, number][]} */
let visiblityChangeCallbacks = [];
let isVisibilitChangeEnabled = false;
/** @param {function} callback @param {number} order */
function onVisibilityChange(callback, order = 0) {
    visiblityChangeCallbacks.push([callback, order]);
    if (isVisibilitChangeEnabled)
        return;
    isVisibilitChangeEnabled = true;
    document.addEventListener('visibilitychange', function visibilityChangeListener() {
        if (document.visibilityState === 'hidden') {
            visiblityChangeCallbacks.sort((a, b) => a[1] - b[1]).forEach(([cb]) => cb());
            visiblityChangeCallbacks = [];
            document.removeEventListener('visibilitychange', visibilityChangeListener, true);
            callback();
        }
    }, true);
}
exports.onVisibilityChange = onVisibilityChange;
